Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.http.admin
Class PingMailer

    java.lang.Object
      |
      +--com.caucho.http.admin.PingThread
            |
            +--com.caucho.http.admin.PingMailer

All Implemented Interfaces:
  java.lang.Runnable

public class PingMailer
extends PingThread

An extension of the ping thread to mail when there's a ping problem.

Field Summary
`protected ResinServer` | `resinServer`

Constructor Summary
`PingMailer()`

Method Summary
`java.lang.String` | `getMailFrom()` Gets the mail sender
`java.lang.String` | `getMailSubject()` Gets the mail sender
`java.lang.String` | `getMailTo()` Gets the mail destination
`protected void` | `pingFailed(Path url)` Called if the ping completely fails.
`void` | `setMailFrom(java.lang.String mailFrom)` Sets the mail sender
`void` | `setMailSubject(java.lang.String subject)` Sets the mail subject
`void` | `setMailTo(java.lang.String mailTo)` Sets the mail destination

Methods inherited from class com.caucho.http.admin.PingThread
`addURL, checkPing, getPingHost, getPingPort, getResinServer, getRetryTime, getSleepTime, getSocketTimeout, getTryCount, init, pingFailedOnce, run, setPingHost, setPingPort, setResinServer, setRetryTime, setSleepTime, setSocketTimeout, setTryCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resinServer

    protected ResinServer resinServer

Constructor Detail

### PingMailer

    public PingMailer()

Method Detail

### getMailTo

    public java.lang.String getMailTo()

  Gets the mail destination

### setMailTo

    public void setMailTo(java.lang.String mailTo)

  Sets the mail destination

### getMailFrom

    public java.lang.String getMailFrom()

  Gets the mail sender

### setMailFrom

    public void setMailFrom(java.lang.String mailFrom)

  Sets the mail sender

### getMailSubject

    public java.lang.String getMailSubject()

  Gets the mail sender

### setMailSubject

    public void setMailSubject(java.lang.String subject)

  Sets the mail subject

### pingFailed

    protected void pingFailed(Path url)
                       throws java.lang.Exception

  Called if the ping completely fails.
  Overrides:
    `pingFailed` in class `PingThread`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD